libzypp 17.37.10

RepoManager.cc File Reference
`#include <iostream>`
`#include <zypp-core/Digest.h>`
`#include <zypp-core/zyppng/pipelines/Lift>`
`#include <zypp/ng/progressobserveradaptor.h>`
`#include <zypp/ng/workflows/contextfacade.h>`
`#include <zypp/ng/repo/refresh.h>`
`#include <zypp/ng/repo/workflows/repomanagerwf.h>`

Go to the source code of this file.

## Classes
class | zypp::RepoManager::Impl
| RepoManager implementation. More...

## Namespaces
namespace | zypp
| Easy-to use interface to the ZYPP dependency resolver.

## Macros
#define | ZYPP_BASE_LOGGER_LOGGROUP "zypp::repomanager"
#define | OPT_PROGRESS const ProgressData::ReceiverFnc & = ProgressData::ReceiverFnc()

## Functions
std::ostream & | zypp::operator<< (std::ostream &str, const RepoManager &obj)
std::list< RepoInfo > | zypp::readRepoFile (const Url &repo_file) ZYPP_API
| Parses repo_file and returns a list of RepoInfo objects corresponding to repositories found within the file.

## Macro Definition Documentation

## ◆ ZYPP_BASE_LOGGER_LOGGROUP

#define ZYPP_BASE_LOGGER_LOGGROUP "zypp::repomanager"

Definition at line 22 of file RepoManager.cc.

## ◆ OPT_PROGRESS

#define OPT_PROGRESS const ProgressData::ReceiverFnc & = ProgressData::ReceiverFnc()

Definition at line 28 of file RepoManager.cc.